html {
  font-size: 16px;
}

@media only screen and (max-device-width: 1300px) {
  html {
    font-size: 14px;
  }
}
@media only screen and (max-device-width: 650px) {
  html {
    font-size: 12px;
  }

  #load-info {
    overflow-y:  auto;
  }

}

body {
  margin: 0;
  padding: 0;
  font-family: system-ui, sans-serif, Apple Color Emoji, Segoe UI, Segoe UI Emoji, Segoe UI Symbol;
  display: flex;
}

#map {
  position: relative;
  height: 100vh;
  width: 100%;
  flex-shrink: 1;
  flex-grow: 1;
}

#toggle-info {
  position: absolute;
  z-index: 10;
  right: 0.5rem;
  top: 0.5rem;
  background-color: #3a3e40;
  padding: 4px;
  color: #eee;
  text-align: center;
  cursor: pointer;
  user-select: none;
  font-size: 0.8rem;
  height: 1rem;
  width: 1rem;
  border-radius: 2px;
}

#load-info {
  position: relative;
  height: calc(100vh - 1.1rem);
  width:  25rem;
  min-width:  21.25rem;
  background:  #fff;
  border-left: 1px solid #9f9f9f;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  overflow: auto;
}

.title {
  background-color: #fafafa;
  border-top: 1px solid #9f9f9f;
  border-bottom: 1px solid #9f9f9f;
  padding: 0.4rem;
  font-weight: 300;
}

.content {
  padding: 0.8rem;
}

.placeholder {
  text-align: center;
  color: #838383;
}

.content input[type="checkbox"] {
  margin-left: 0;
}

.title: first-child {
  border-top: none;
}

.ol-control button {
  background-color: rgba(40, 40, 40, 0.85) !important;
}

.ol-control button: hover {
  background-color: rgba(40, 40, 40, 1) !important;
}

.logo {
  padding: 10px;
  height: 50px;
  text-align: center;
  flex-grow: 0;
  flex-shrink: 0;
}

.hidden {
  display: none !important;
}

.stop {
  position: relative;
  border: 1px solid #afafaf;
  border-radius: 4px;
  background-color: #efefef;
  padding: 0.5rem;
  margin: 0.5rem 0;
  font-size: 0.8rem;
  line-height: 1.2rem;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.stop:hover {
  border-color: #a5a5a5;
  background-color: #e5e5e5;
}

.stop:first-child {
  margin-top: 0;
}

.stop:last-child {
  margin-bottom: 0;
}

.label {
  display: inline-block;
  border-radius: 3px;
  color: white;
  background-color: #70409f;
  font-weight: 500;
  font-size: 0.8rem;
  line-height: 0.8rem;
  padding: 0.3rem;
}

.stop-completed {
  position: absolute;
  right: 0.5rem;
  top: 0.5rem;
  background-color: #238400;
}

.stop-pending {
  position: absolute;
  right: 0.5rem;
  top: 0.5rem;
  background-color: #2c5cb7;
}

.card {
  border: 1px solid #afafaf;
  border-radius: 4px;
  background-color: #efefef;
  padding: 0.5rem;
  text-align: center;
  justify-content: space-between;
  flex: 1 1 0px;
}

.halted, .failed, .canceled {
  border-color: #db1414;
  background-color: #fff1f1;
}

.failed {
  font-size: bold;
}

.assigned {
  border-color: #4287df;
  background-color: #f1f6ff;
}

.dispatched {
  border-color: #9142df;
  background-color: #faf1ff;
}

.delivered {
  font-size: bold;
  border-color: #3d863a;
  background-color: #f1fff4;
}

#dispatch-id {
  font-size: 0.8rem;
  line-height: 1rem;
  font-weight: 700;
  padding: 2px 5px;
  background-color: #2c5cb7;
  border-radius: 4px;
  color: white;
  margin-left: auto;
}

#footer {
  position: absolute;
  bottom: 0;
  right: 0;
  padding: 0.2rem 0;
  text-align: center;
  border-top: 1px solid #9f9f9f;
  border-left: 1px solid #9f9f9f;
  width: 25rem;
  min-width: 21.25rem;
  font-size: 0.7rem;
  line-height: 0.7rem;
  z-index: 1000;
}

#footer a {
  text-decoration: none;
  color: inherit;
}

#footer a:visited {
  color: inherit;
}
